/**
 * Depende de deployJava.js.
 */
var arangiClientSignatureApplet;
var arangiClientValidationApplet;

/*
 * Carga el applet de firma de Arang
 */
function loadArangiClientSignatureApplet() {

	// Si el applet de firma ya se ha cargado no seguimos
	if (arangiClientSignatureApplet != undefined) {
		return true;
	}

	// Los parmetros que se pueden definir son language y country (internacionalizacin).
	// La versin mnima de Java es la 1.6.0 update 10.
	try {
		if (localeLanguage == undefined || localeLanguage == null || localeLanguage == '') {
			localeLanguage = 'es';
		}
	} catch (e) {
		var localeLanguage = 'es';
	}
	try {
		if (localeCountry == undefined || localeCountry == null || localeCountry == '') {
			localeCountry = 'ES';
		}
	} catch (e) {
		var localeCountry = 'ES';
	}
	
	var attributes = {id:'arangiClientSignatureApplet',
	 		  width:1,
	 		  height:1
	};
	var parameters = {jnlp_href:'./applet/arangiClientSignature.jnlp',
			  separate_jvm:true,
			  language:localeLanguage,
			  country:localeCountry,
			  java_arguments:'-Xms512M -Xmx512M'
	};
	var version = '1.6.0_10';

 	deployJava.runApplet(attributes, parameters, version);

 	arangiClientSignatureApplet = document.getElementById("arangiClientSignatureApplet");
	
	// espera para que de tiempo al applet de cargarse
	for (var i = 0; i < 100; i++) {
		try {
			setTimeout("arangiClientSignatureApplet != undefined && arangiClientSignatureApplet != null", 100);
			break;
		} catch (e) {
		}
	}

	return true;
}

/*
 * Carga el applet de validacin de Arang
 */
function loadArangiClientValidationApplet() {

	// Si el applet de firma ya se ha cargado no seguimos
	if (arangiClientValidationApplet != undefined) {
		return;
	}

	/* Slo funciona con una JRE 1.6.0_u10 o superior. */
	var attributes = {id:'arangiClientValidationApplet',
	 		  width:1,
	 		  height:1
	};
	var parameters = {jnlp_href:'./applet/arangi_client_old/arangiClientValidation.jnlp',
			  separate_jvm:true,
			  appName:window.navigator.appName,
			  java_arguments:'-Djnlp.packEnabled=true -Xms512M -Xms512M -Xmx512M'
	};
	var version = '1.6.0_10';

 	deployJava.runApplet(attributes, parameters, version);

 	arangiClientValidationApplet = document.getElementById("arangiClientValidationApplet");

	// espera para que de tiempo al applet de cargarse
	for (var i = 0; i < 100; i++) {
		try {
			setTimeOut("arangiClientValidationApplet != undefined && arangiClientValidationApplet.isInitialized()", 100);
			break;
		} catch (e) {
		}
	}
	
}

/*
 * Obtiene el sistema operativo
 */
function getOperatingSystem() {
	if (navigator.userAgent.indexOf('IRIX') != -1) {var SO = "Irix" }
	else if ((navigator.userAgent.indexOf('Win') != -1) && (navigator.userAgent.indexOf('98') != -1)) {var SO= "Windows 98"}
	else if ((navigator.userAgent.indexOf('Win') != -1) && (navigator.userAgent.indexOf('95') != -1)) {var SO= "Windows 95"}
	else if (navigator.appVersion.indexOf("16") !=-1) {var SO= "Windows 3.1"}
	else if (navigator.userAgent.indexOf("NT 5.1") !=-1) {var SO= "Windows XP"}
	else if (navigator.userAgent.indexOf("NT 5.2") !=-1) {var SO= "Windows Server 2003"}
	else if (navigator.userAgent.indexOf("NT 5") !=-1) {var SO= "Windows 2000"}
	else if (navigator.userAgent.indexOf("NT 6.1") !=-1) {var SO= "Windows 7"}
	else if (navigator.userAgent.indexOf("NT 6") !=-1) {var SO= "Windows Vista"}
	else if (navigator.appVersion.indexOf("NT") !=-1) {var SO= "Windows NT"}
	else if (navigator.appVersion.indexOf("SunOS") !=-1) {var SO= "SunOS"}
	else if (navigator.userAgent.indexOf("Linux") !=-1) {var SO= "Linux"}
	else if (navigator.userAgent.indexOf('Mac') != -1) {var SO= "Macintosh"}
	else if (navigator.appName=="WebTV Internet Terminal") {var SO="WebTV"}
	else if (navigator.appVersion.indexOf("HP") !=-1) {var SO="HP-UX"}
	else {var SO= "No identificado"}
	return SO;
}
