/**
 * Copyright 2012 Agencia de Tecnologa y Certificacin Electrnica
 */
package es.accv.arangi.client;

/**
 * Simulador de stream a una firma en base64
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos Manuel Gutirrez Nez</a>
 *
 */
public class SignatureBase64Stream {

	static final int PIECE_SIZE		= 5000;
	
	String signatureB64;
	int position = 0;
	
	public SignatureBase64Stream (String signatureB64) {
		this.signatureB64 = signatureB64;
	}
	
	public String getPiece () {
		if (signatureB64 == null || position >= signatureB64.length()) {
			return "";
		}
		
		if (position + PIECE_SIZE > signatureB64.length()) {
			String s = signatureB64.substring(position);
			position = signatureB64.length();
			return s;
		} 
		
		String s = signatureB64.substring(position, position + PIECE_SIZE);
		position += PIECE_SIZE;
		return s;
	}
	
}
