package es.accv.arangi.client;

/**
 * Clase con constantes para firmar
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class SignatureConstants {

	/**
	 * Tipo de firma PKCS#7
	 */
	public static final String SIGNATURE_PKCS7			= "pkcs7";
	
	/**
	 * Tipo de firma CMS
	 */
	public static final String SIGNATURE_CMS			= "cms";
	
	/**
	 * Tipo de firma PDF con sello de tiempos
	 */
	public static final String SIGNATURE_TIMESTAMP_PDF	= "pdf";
	
	/**
	 * Tipo de firma PAdES-LTV
	 */
	public static final String SIGNATURE_PADES_LTV		= "pades-ltv";
	
	/**
	 * Tipo de firma XAdES-BES attached
	 */
	public static final String SIGNATURE_XADES_BES_ATTACHED	= "xades-bes-attached";
	
	/**
	 * Tipo de firma XAdES-BES detached
	 */
	public static final String SIGNATURE_XADES_BES_DETACHED	= "xades-bes-detached";
	
	/**
	 * Tipo de firma XAdES-BES detached @Firma
	 */
	public static final String SIGNATURE_XADES_BES_DETACHED_AFIRMA	= "xades-bes-detached-aFirma";
	
	/**
	 * Tipo de firma XAdES-T attached
	 */
	public static final String SIGNATURE_XADES_T_ATTACHED	= "xades-t-attached";
	
	/**
	 * Tipo de firma XAdES-T detached
	 */
	public static final String SIGNATURE_XADES_T_DETACHED	= "xades-t-detached";
	
	/**
	 * Tipo de firma XAdES-X-L attached
	 */
	public static final String SIGNATURE_XADES_XL_ATTACHED	= "xades-xl-attached";
	
	/**
	 * Tipo de firma XAdES-X-L detached
	 */
	public static final String SIGNATURE_XADES_XL_DETACHED	= "xades-xl-detached";	

}
