package es.accv.arangi.client.ui;

import java.awt.Rectangle;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.PropertyResourceBundle;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

import org.apache.log4j.Logger;

import es.accv.arangi.base.certificate.Certificate;
import es.accv.arangi.client.CertificateSelector;
import es.accv.arangi.client.CertificateSelectorCaller;

/**
 * Dilogo para que el usuario elija entre la lista de certificados
 * presentados.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class CertificateSelectorDialog extends JDialog {

	/**
	 * Serial Version UID
	 */
	private static final long serialVersionUID = 1L;

	/*
	 * Logger de la clase
	 */
	Logger logger = Logger.getLogger(CertificateSelectorDialog.class);
	
	/*
	 * Tabla con los certificados: nombreKeystore, listaCertificados
	 */
	HashMap<String, List<Certificate>> hmCertificates;
	
	/*
	 * i18n
	 */
	private PropertyResourceBundle bundle;
	
	/*
	 * Objeto llamador
	 */
	private CertificateSelectorCaller caller;
	
	/*
	 * Objetos Swing
	 */
	private JPanel jContentPane = null;
	private JButton buttonSeleccionar = null;
	private JButton buttonCancelar = null;
	private JComboBox comboCertificados = null;

	//-- Constructor
	
	public CertificateSelectorDialog (CertificateSelectorCaller caller, HashMap<String, List<Certificate>> hmCertificates, 
			PropertyResourceBundle bundle) {
		this.caller = caller;
		this.hmCertificates = hmCertificates;
		this.bundle = bundle;
		
		initialize();
	}
	
	//-- Mtodos privados
	
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(350, 230);
		this.setContentPane(getJContentPane());
		this.setTitle("Firmar");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			JLabel jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(16, 81, 65, 22));
			jLabel1.setHorizontalAlignment(SwingConstants.RIGHT);
			jLabel1.setText(bundle.getString("texto.seleccione.lista") + ":");
			
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(getButtonSeleccionar(), null);
			jContentPane.add(getButtonCancelar(), null);
			jContentPane.add(getComboCertificados(), null);
		}
		return jContentPane;
	}

	private JButton getButtonSeleccionar () {
		if (buttonSeleccionar == null) {
			buttonSeleccionar = new JButton();
			buttonSeleccionar.setBounds(new Rectangle(31, 150, 118, 27));
			buttonSeleccionar.setText(bundle.getString("etiqueta.seleccionar"));
			buttonSeleccionar.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					
				}
			});
		}
		
		return buttonSeleccionar;
	}
	
	private JButton getButtonCancelar () {
		if (buttonCancelar == null) {
			buttonCancelar = new JButton();
			buttonCancelar.setBounds(new Rectangle(31, 150, 118, 27));
			buttonCancelar.setText(bundle.getString("etiqueta.cancelar"));
			buttonCancelar.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					
				}
			});
		}
		
		return buttonCancelar;
	}

	private JComboBox getComboCertificados() {
		if (comboCertificados == null) {
			// Lista
			ArrayList<String> lEtiquetasCertificadados = new ArrayList<String>();
			if (hmCertificates.containsKey(CertificateSelector.MOZILLA)) {
				List<Certificate> lCertificates = hmCertificates.get(CertificateSelector.MOZILLA);
				for (Iterator<Certificate> iterator = lCertificates.iterator(); iterator.hasNext();) {
					Certificate certificate = iterator.next();
//					lEtiquetasCertificadados.add(o)
				}
			}
			
//			String [] lFormatosSalida = new String [] {TOKEN_VALIDACION, PKCS7, CMS, XADES_BES, XADES_T, XADES_XL, PADES};
//			comboCertificados = new JComboBox(lFormatosSalida);
			comboCertificados.setBounds(new Rectangle(86, 81, 176, 22));
		}
		return comboCertificados;
	}

}
