package es.accv.arangi.client.util;

import es.accv.arangi.base.certificate.Certificate;
import es.accv.arangi.base.device.model.Pkcs11Device;

/**
 * Clase que almacena lo necesario para obtener un certificado y poder
 * firmar con l.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class DeviceAndAlias {

	String keystoreType;
	String alias;
	Pkcs11Device pkcs11Device;
	Certificate certificate;
	String pin;
	
	/**
	 * @param keystoreType
	 * @param alias
	 * @param pkcs11Device
	 * @param certificate
	 */
	public DeviceAndAlias(String keystoreType, String alias,
			Pkcs11Device pkcs11Device, Certificate certificate, String pin) {
		super();
		this.keystoreType = keystoreType;
		this.alias = alias;
		this.pkcs11Device = pkcs11Device;
		this.certificate = certificate;
		this.pin = pin;
	}
	public String getKeystoreType() {
		return keystoreType;
	}
	public void setKeystoreType(String keystoreType) {
		this.keystoreType = keystoreType;
	}
	public String getAlias() {
		return alias;
	}
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public Pkcs11Device getPkcs11Device() {
		return pkcs11Device;
	}
	public void setPkcs11Device(Pkcs11Device pkcs11Device) {
		this.pkcs11Device = pkcs11Device;
	}
	public Certificate getCertificate() {
		return certificate;
	}
	public void setCertificate(Certificate certificate) {
		this.certificate = certificate;
	}
	public String getPin() {
		return pin;
	}
	public void setPin(String pin) {
		this.pin = pin;
	}

	
}
