package es.accv.arangi.client.util;

import java.util.Locale;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

/**
 * Clase encargada de la internacionalizacin. Se carga con un bundle y ofrece
 * mtodos para poder parametrizar algunos mensajes.
 * 
 * @author <a href="mailto:jgutierrez@accv.es">Jos M Gutirrez</a>
 */
public class I18n {

	/*
	 * Bundle
	 */
	private PropertyResourceBundle bundle;

	/**
	 * Constructor
	 * @param locale
	 */
	public I18n (Locale locale) {
		this.bundle = (PropertyResourceBundle)ResourceBundle.getBundle("arangi_client", locale); 
	}
	
	/**
	 * Devuelve el mensaje en el idioma del locale
	 * 
	 * @param key Clave del mensaje
	 * @return Mensaje en el idioma del locale
	 */
	public String getString (String key) {
		return bundle.getString(key);
	}
	
	/**
	 * Devuelve el mensaje en el idioma del locale
	 * 
	 * @param key Clave del mensaje
	 * @return Mensaje en el idioma del locale
	 */
	public String getString (String key, Object param) {
		String mensaje = bundle.getString(key);
		String sParam = "";
		if (param != null) {
			param.toString();
		}
		return mensaje.replaceAll("\\{0\\}", sParam);
	}

	
}
